<template>
  <el-row class="show-content-row">
    <template v-for="(colu, index) in columns">
      <el-col
        :span="12"
        class="show-content-col"
        v-if="sitem[colu.prop]"
        :key="colu + index"
      >
        <div class="label">{{ colu.label }}：</div>
        <div class="name">{{ sitem[colu.prop] }}</div>
      </el-col>
    </template>
  </el-row>
</template>

<script>
import asyncRequest from "@/apis/components/all-organize";
import resToken from "@/mixins/resToken";
export default {
  name: "show-content",
  mixins: [resToken],
  props: [
    "columns",
    "sitem",
    "newTime",
  
  ],
  /**
   * 属性集合
   * @param {Object}        sitem             : 组件大小            必填
   * @param {Array}         columns           : 选中值              必填
   * @param {String}        newTime           : 时间戳              必填
   */
  data() {
    return {
    
    };
  },
   watch: {
    newTime: function (val) {
      if (val) {
        this.initForm();
      }
    },
  },
  mounted() {
   
  },
  methods: {
    initForm(){
      console.log(1234);
    }
   
  },
};
</script>

<style>
</style>